Skip to content

Create A New Piece of Equipment

Request

Creates a new piece of equipment in vWork.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

POST
/v5/equipment.xml
curl -i -X POST \
  'https://api.vworkapp.com/v5/equipment.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <equipment>
      <third_party_id>QWERTYUIOP</third_party_id>
      <name>The Forklift</name>
      <model>Crown</model>
      <notes>Picking it up and Putting it down</notes>
      <serial>53476435482</serial>
      <tag_ids>24,2008</tag_ids>
      <group_ids>1,4833,501</group_ids>
  </equipment>'

Responses

Created

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:39:38 GMT"
ETagstring
Example:"W/\"2dbcb6a04f44419e584b939d643b66f1\""
Statusstring
Example:"201 Created"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"c984cbfd-2df1-4010-bad2-d5ef1e4d5412"
X-Runtimestring
Example:"0.586222"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F4426_6E78F2:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<equipment>
    <id readonly="readonly">9552</id>
    <account_id readonly="readonly">1296</account_id>
    <name>The Forklift</name>
    <notes>Picking it up and Putting it down</notes>
    <third_party_id>QWERTYUIOP</third_party_id>
    <model>Crown</model>
    <serial>53476435482</serial>
    <group_ids>1,501,4833</group_ids>
    <tag_ids>24,2008</tag_ids>
</equipment>